Page MenuHomeFreeBSD

Implement sticky ARP mode for interfaces.
ClosedPublic

Authored by kjopek_gmail.com on May 25 2022, 6:22 AM.

Details

Summary

Provide sticky ARP flag for network interface which marks it as the
"sticky" one similarly to what we have for bridges. Once interface is
marked sticky, any address resolved using the ARP will be saved as a
static one in the ARP table. Such functionality may be used to prevent
ARP spoofing or to decrease latencies in Ethernet networks.

The drawbacks include potential limitations in usage of ARP-based
load-balancers and high-availability solutions such as carp(4).

The implemented option is disabled by default, therefore should not
impact the default behaviour of the networking stack.

Sponsored by: Conclusive Engineering sp. z o.o.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

kjopek_gmail.com edited the summary of this revision. (Show Details)

Thank you for the submission!
LGTM. Will commit in a couple of days if no-one raises objections & manpage part get ack.

This revision is now accepted and ready to land.May 25 2022, 2:53 PM
pauamma added a subscriber: pauamma.

Other than those, manual page English LGTM.

sbin/ifconfig/ifconfig.8
31

Remember to bump.

428
429
This revision now requires review to proceed.May 26 2022, 7:07 PM
kjopek_gmail.com marked an inline comment as done.

Bump date for ifconfig.8

Manual LGTM, but can't attest to consistency with source.

This revision is now accepted and ready to land.May 27 2022, 12:52 AM